#!/bin/sh

dosbox="${DOSBOX:-/C/Program/DOSBox-0.72}/dosbox"

archive="1keen.zip"

if [ ! -d "Unpacked" ]; then
    printf 'Unpacking "%s" into "%s".\n' "${archive}" "Unpacked"
    printf '\n'

    unzip "${archive}" -d "Unpacked" || {
	printf '\n'
	printf 'ERROR: Unable to unpack the archive file "%s" using the command\n' "${archive}"
	printf '       unzip %s -d "Unpacked"\n' "${archive}"
	printf '\n'
	printf 'Press ENTER to continue... '; read junk
	exit
    }
fi

[ -d "capture"	] || mkdir "capture"
[ -d "C-drive"	] || mkdir "C-drive"

"${dosbox}" -conf "dosbox.conf" -noconsole "$@"
